<?xml version="1.0" encoding="UTF-8"?>
<module org.jetbrains.idea.maven.project.MavenProjectsManager.isMavenModule="true" type="JAVA_MODULE" version="4">
  <component name="FacetManager">
    <facet type="web" name="Web">
      <configuration>
        <descriptors>
          <deploymentDescriptor name="jboss-web.xml" url="file://$MODULE_DIR$/src/main/webapp/WEB-INF/jboss-web.xml" />
          <deploymentDescriptor name="web.xml" url="file://$MODULE_DIR$/src/main/webapp/WEB-INF/web.xml" />
        </descriptors>
        <webroots>
          <root url="file://$MODULE_DIR$/src/main/webapp" relative="/" />
        </webroots>
        <sourceRoots>
          <root url="file://$MODULE_DIR$/src/gen/java" />
          <root url="file://$MODULE_DIR$/src/main/java" />
          <root url="file://$MODULE_DIR$/src/main/resources" />
        </sourceRoots>
      </configuration>
    </facet>
    <facet type="jpa" name="JPA">
      <configuration>
        <setting name="validation-enabled" value="true" />
        <setting name="provider-name" value="Hibernate" />
        <datasource-mapping>
          <factory-entry name="mnf-pu-test" />
          <factory-entry name="mongo-ogm" />
        </datasource-mapping>
        <naming-strategy-map />
        <deploymentDescriptor name="persistence.xml" url="file://$MODULE_DIR$/src/main/resources/META-INF/persistence.xml" />
      </configuration>
    </facet>
    <facet type="hibernate" name="Hibernate">
      <configuration>
        <datasource-map>
          <unit-entry name="hibernate.cfg.xml" />
        </datasource-map>
        <naming-strategy-map />
        <deploymentDescriptor name="hibernate.cfg.xml" url="file://$MODULE_DIR$/src/main/resources/hibernate.cfg.xml" />
      </configuration>
    </facet>
  </component>
  <component name="NewModuleRootManager" LANGUAGE_LEVEL="JDK_1_8">
    <output url="file://$MODULE_DIR$/target/classes" />
    <output-test url="file://$MODULE_DIR$/target/test-classes" />
    <content url="file://$MODULE_DIR$">
      <sourceFolder url="file://$MODULE_DIR$/src/main/java" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/resources" type="java-resource" />
      <sourceFolder url="file://$MODULE_DIR$/src/test/java" isTestSource="true" />
      <sourceFolder url="file://$MODULE_DIR$/src/gen/java" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/test/resources" type="java-test-resource" />
      <excludeFolder url="file://$MODULE_DIR$/target" />
    </content>
    <orderEntry type="inheritedJdk" />
    <orderEntry type="sourceFolder" forTests="false" />
    <orderEntry type="library" name="Maven: com.fasterxml.jackson.core:jackson-core:2.9.4" level="project" />
    <orderEntry type="library" name="Maven: net.bytebuddy:byte-buddy:1.6.14" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: junit:junit:4.12" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: org.hamcrest:hamcrest-core:1.3" level="project" />
    <orderEntry type="library" scope="PROVIDED" name="Maven: javax:javaee-api:8.0" level="project" />
    <orderEntry type="library" scope="PROVIDED" name="Maven: com.sun.mail:javax.mail:1.6.0" level="project" />
    <orderEntry type="library" scope="PROVIDED" name="Maven: javax.activation:activation:1.1" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: io.github.binout:jaxrs-unit-api:1.1.1" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: eu.infomas:annotation-detector:3.0.4" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: io.github.binout:jaxrs-unit-resteasy:1.1.1" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: org.jboss.resteasy:resteasy-jaxrs:2.3.5.Final" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: org.jboss.resteasy:jaxrs-api:2.3.5.Final" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: org.scannotation:scannotation:1.0.3" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: javassist:javassist:3.12.1.GA" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: javax.annotation:jsr250-api:1.0" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: commons-httpclient:commons-httpclient:3.1" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: commons-logging:commons-logging:1.0.4" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: commons-codec:commons-codec:1.2" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: org.apache.httpcomponents:httpclient:4.1.2" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: org.apache.httpcomponents:httpcore:4.1.2" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: commons-io:commons-io:1.4" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: net.jcip:jcip-annotations:1.0" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: org.jboss.resteasy:resteasy-jackson-provider:2.3.5.Final" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: org.codehaus.jackson:jackson-core-asl:1.9.9" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: org.codehaus.jackson:jackson-mapper-asl:1.9.9" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: org.codehaus.jackson:jackson-jaxrs:1.9.9" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: org.codehaus.jackson:jackson-xc:1.9.9" level="project" />
    <orderEntry type="library" name="Maven: io.swagger:swagger-jaxrs:1.5.18" level="project" />
    <orderEntry type="library" name="Maven: com.fasterxml.jackson.core:jackson-databind:2.9.3" level="project" />
    <orderEntry type="library" name="Maven: io.swagger:swagger-core:1.5.18" level="project" />
    <orderEntry type="library" name="Maven: org.apache.commons:commons-lang3:3.2.1" level="project" />
    <orderEntry type="library" name="Maven: org.slf4j:slf4j-api:1.7.22" level="project" />
    <orderEntry type="library" name="Maven: com.fasterxml.jackson.dataformat:jackson-dataformat-yaml:2.9.3" level="project" />
    <orderEntry type="library" name="Maven: org.yaml:snakeyaml:1.18" level="project" />
    <orderEntry type="library" name="Maven: io.swagger:swagger-models:1.5.18" level="project" />
    <orderEntry type="library" name="Maven: javax.ws.rs:jsr311-api:1.1.1" level="project" />
    <orderEntry type="library" name="Maven: org.reflections:reflections:0.9.11" level="project" />
    <orderEntry type="library" name="Maven: org.javassist:javassist:3.21.0-GA" level="project" />
    <orderEntry type="library" name="Maven: com.google.guava:guava:20.0" level="project" />
    <orderEntry type="library" name="Maven: io.swagger:swagger-annotations:1.5.18" level="project" />
    <orderEntry type="library" name="Maven: org.hibernate.ogm:hibernate-ogm-mongodb:5.3.0.Final" level="project" />
    <orderEntry type="library" name="Maven: org.hibernate.ogm:hibernate-ogm-core:5.3.0.Final" level="project" />
    <orderEntry type="library" name="Maven: org.hibernate:hibernate-core:5.2.13.Final" level="project" />
    <orderEntry type="library" name="Maven: org.hibernate.javax.persistence:hibernate-jpa-2.1-api:1.0.0.Final" level="project" />
    <orderEntry type="library" name="Maven: antlr:antlr:2.7.7" level="project" />
    <orderEntry type="library" name="Maven: org.jboss.spec.javax.transaction:jboss-transaction-api_1.2_spec:1.0.1.Final" level="project" />
    <orderEntry type="library" name="Maven: org.jboss:jandex:2.0.3.Final" level="project" />
    <orderEntry type="library" name="Maven: dom4j:dom4j:1.6.1" level="project" />
    <orderEntry type="library" name="Maven: org.hibernate:hibernate-entitymanager:5.2.13.Final" level="project" />
    <orderEntry type="library" name="Maven: net.bytebuddy:byte-buddy:1.6.14" level="project" />
    <orderEntry type="library" name="Maven: com.fasterxml:classmate:1.3.3" level="project" />
    <orderEntry type="library" name="Maven: org.hibernate.common:hibernate-commons-annotations:5.0.2.Final" level="project" />
    <orderEntry type="library" name="Maven: org.jboss.logging:jboss-logging:3.3.1.Final" level="project" />
    <orderEntry type="library" name="Maven: org.hibernate.hql:hibernate-hql-parser:1.5.0.Final" level="project" />
    <orderEntry type="library" name="Maven: org.antlr:antlr-runtime:3.4" level="project" />
    <orderEntry type="library" name="Maven: org.antlr:stringtemplate:3.2.1" level="project" />
    <orderEntry type="library" name="Maven: org.mongodb:mongo-java-driver:3.6.3" level="project" />
    <orderEntry type="library" name="Maven: org.parboiled:parboiled-java:1.1.8" level="project" />
    <orderEntry type="library" name="Maven: org.parboiled:parboiled-core:1.1.8" level="project" />
    <orderEntry type="library" name="Maven: org.ow2.asm:asm:5.2" level="project" />
    <orderEntry type="library" name="Maven: org.ow2.asm:asm-tree:5.2" level="project" />
    <orderEntry type="library" name="Maven: org.ow2.asm:asm-analysis:5.2" level="project" />
    <orderEntry type="library" name="Maven: org.ow2.asm:asm-util:5.2" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: com.h2database:h2:1.4.197" level="project" />
    <orderEntry type="library" name="Maven: com.fasterxml.jackson.jaxrs:jackson-jaxrs-json-provider:2.9.5" level="project" />
    <orderEntry type="library" name="Maven: com.fasterxml.jackson.jaxrs:jackson-jaxrs-base:2.9.5" level="project" />
    <orderEntry type="library" name="Maven: com.fasterxml.jackson.module:jackson-module-jaxb-annotations:2.9.5" level="project" />
    <orderEntry type="library" name="Maven: com.fasterxml.jackson.datatype:jackson-datatype-joda:2.9.5" level="project" />
    <orderEntry type="library" name="Maven: com.fasterxml.jackson.core:jackson-annotations:2.9.0" level="project" />
    <orderEntry type="library" name="Maven: com.fasterxml.jackson.core:jackson-core:2.9.5" level="project" />
    <orderEntry type="library" name="Maven: joda-time:joda-time:2.7" level="project" />
    <orderEntry type="library" scope="PROVIDED" name="Maven: javax.validation:validation-api:1.1.0.Final" level="project" />
    <orderEntry type="library" scope="PROVIDED" name="Maven: org.apache.cxf:cxf-rt-frontend-jaxrs:3.0.2" level="project" />
    <orderEntry type="library" scope="PROVIDED" name="Maven: org.apache.cxf:cxf-core:3.0.2" level="project" />
    <orderEntry type="library" scope="PROVIDED" name="Maven: org.codehaus.woodstox:woodstox-core-asl:4.4.1" level="project" />
    <orderEntry type="library" scope="PROVIDED" name="Maven: org.codehaus.woodstox:stax2-api:3.1.4" level="project" />
    <orderEntry type="library" scope="PROVIDED" name="Maven: org.apache.ws.xmlschema:xmlschema-core:2.1.0" level="project" />
    <orderEntry type="library" scope="PROVIDED" name="Maven: javax.ws.rs:javax.ws.rs-api:2.0.1" level="project" />
    <orderEntry type="library" scope="PROVIDED" name="Maven: javax.annotation:javax.annotation-api:1.2" level="project" />
    <orderEntry type="library" scope="PROVIDED" name="Maven: org.apache.cxf:cxf-rt-transports-http:3.0.2" level="project" />
  </component>
</module>